# Hook REST API

The Hook REST API enables you to programmatically access and manage your Hook workspace.

Version: 1.0.33

## Servers

```
https://api.hook.co/v1
```

## Security

### bearerAuth

Type: http
Scheme: bearer

## Download OpenAPI description

 - [Hook REST API](https://docs.api.hook.co/_bundle/v1/openapi.yaml)

## Members

 - [GET /members/me](https://docs.api.hook.co/v1/openapi/members/getcurrentmember.md): Returns the member associated with the authorisation token
 - [GET /organizations/{organizationId}/members](https://docs.api.hook.co/v1/openapi/members/listmembers.md): Returns a list of members
 - [GET /organizations/{organizationId}/members/{memberId}](https://docs.api.hook.co/v1/openapi/members/getmember.md): Returns a member by their ID
## Automations

 - [GET /organizations/{organizationId}/automations](https://docs.api.hook.co/v1/openapi/automations/listautomations.md)
 - [GET /organizations/{organizationId}/automations/{automationId}](https://docs.api.hook.co/v1/openapi/automations/getautomation.md)
 - [GET /organizations/{organizationId}/automations/{automationId}/actions/{actionId}/logs](https://docs.api.hook.co/v1/openapi/automations/listautomationactionlogs.md)
 - [GET /organizations/{organizationId}/automations/{automationId}/triggers/{triggerId}/logs](https://docs.api.hook.co/v1/openapi/automations/listautomationtriggerlogs.md)
## Briefs

 - [GET /organizations/{organizationId}/briefs](https://docs.api.hook.co/v1/openapi/briefs/listbriefs.md): Returns the active brief definitions configured for the organization
 - [GET /organizations/{organizationId}/customers/{customerId}/briefs/{briefId}/contents](https://docs.api.hook.co/v1/openapi/briefs/listcustomerbriefcontents.md): Returns the generated contents for a single brief on a customer, most recent first
## CustomFields

 - [GET /organizations/{organizationId}/custom-fields](https://docs.api.hook.co/v1/openapi/customfields/listcustomfields.md): Returns the custom field definitions for the organization
## MemberRoles

 - [GET /organizations/{organizationId}/member-roles](https://docs.api.hook.co/v1/openapi/memberroles/listmemberroles.md): Returns the member-customer role definitions for the organization. These are the roles that associate a member with a customer, such as CSM or Account Manager
## Notes

 - [GET /organizations/{organizationId}/note-categories](https://docs.api.hook.co/v1/openapi/notes/listnotecategories.md): Returns the active note categories for the organization, for use when creating a note
 - [GET /organizations/{organizationId}/customers/{customerId}/notes](https://docs.api.hook.co/v1/openapi/notes/listcustomernotes.md)
 - [POST /organizations/{organizationId}/customers/{customerId}/notes](https://docs.api.hook.co/v1/openapi/notes/createcustomernote.md)
## Products

 - [GET /organizations/{organizationId}/products](https://docs.api.hook.co/v1/openapi/products/listproducts.md)
 - [GET /organizations/{organizationId}/products/{productId}/metrics](https://docs.api.hook.co/v1/openapi/products/listproductmetrics.md): Returns the metrics for a given product
## Signals

 - [GET /organizations/{organizationId}/signals](https://docs.api.hook.co/v1/openapi/signals/listsignals.md)
 - [GET /organizations/{organizationId}/signals/{signalId}](https://docs.api.hook.co/v1/openapi/signals/getsignal.md)
## Customers

 - [GET /organizations/{organizationId}/customers](https://docs.api.hook.co/v1/openapi/customers/listcustomers.md)
 - [GET /organizations/{organizationId}/customers/{customerId}](https://docs.api.hook.co/v1/openapi/customers/getcustomer.md)
## Meetings

 - [GET /organizations/{organizationId}/customers/{customerId}/meetings](https://docs.api.hook.co/v1/openapi/meetings/listcustomermeetings.md)
 - [GET /organizations/{organizationId}/customers/{customerId}/meetings/{meetingId}](https://docs.api.hook.co/v1/openapi/meetings/getcustomermeeting.md)
